Subject: Re: [dispatch] Draft new: draft-holmberg-dispatch-iotl-00 - Multiple traffic legs per URI

From: Christer Holmberg <[email-masked]>
Date: Thu, 8 May 2014 17:34:24 +0000

Hi,

>> I support the ability to signal multiple values
>
> When I saw that it can be put into Path and Service-Route, I immediately assumed that there might > be multiple values. I was surprised when Christer said that there would only be one at a time.
>
> But, it did lead me to post questions about how the "current" value is to be determined. I had 
> some questions about that earlier in this thread. That discussion was squelched when Christer said > there will only be one.
>
> So if multiple values are to be allowed, then more explanation is needed about the details of the 
> semantics in those cases.

What I meant was that there can't be "iotl" values in the Request-URI and Route(s) at the same time.

I don't think there is a problem in having values in multiple Routes, because the current one would be the Route representing the "nearest" node.

And, yes, we will have to describe that :)

HOWEVER, what Jim and Martin are talking about is to assign multiple values to a SINGLE URI - i.e. a request would be associated with multiple traffic legs at the same time.

Regards,

Christer

> Martin Dolly
> Lead Member of Technical Staff
> Core Network & Gov't/Regulatory Standards AT&T Standards and Industry 
> Alliances
> +1-609-903-3360
> [email-masked]
>
>> On May 7, 2014, at 1:46 PM, "Christer Holmberg" <[email-masked]> wrote:
>>
>> Hi Jim,
>>
>> Currently there are no use-cases which, for a given URI, would require multiple values.
>>
>> But, if people think it would be useful to allow it for possible future usage, we can for sure modify the ABNF to allow it.
>>
>> Regards,
>>
>> Christer
>>
>> Sent from my Sony Ericsson Xperia arc S
>>
>> "Calme, James A (Jim)" <[email-masked]> wrote:
>>
>>
>> Hi,
>>
>> Looking at the ABNF for this new parameter it would appear that only a single value is expected to used.
>> iotl-param    = iotl-tag "=" iotl-value
>> iotl-tag      = "iotl"
>> iotl-value    = "homeA-homeB" / "homeB-visitedB" / "visitedA-homeA"
>>                  / "homeA-visitedA" /" visitedA-homeB" / gen-value
>>
>> Given the current set of values, it would seem reasonable that they would be mutually exclusive. But do you expect this to always be true? Would it be possible that if additional values are defined that they could compliment the currently set, i.e., should the syntax allow one or more values to be included?
>>
>> Jim
>>
>> _______________________________________________
>> dispatch mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/dispatch
>
> _______________________________________________
> dispatch mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dispatch
>

_______________________________________________
dispatch mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/dispatch